org.jbpm.process.audit.event

## Class ExtendedRuleFlowLogEvent

- java.lang.Object
- - org.drools.core.audit.event.LogEvent
  - - org.drools.core.audit.event.RuleFlowLogEvent
    - - org.jbpm.process.audit.event.ExtendedRuleFlowLogEvent

-     public class ExtendedRuleFlowLogEvent
      extends org.drools.core.audit.event.RuleFlowLogEvent

- - ### Field Summary

    - ### Fields inherited from class org.drools.core.audit.event.LogEvent

      `ACTIVATION_CANCELLED, ACTIVATION_CREATED, AFTER_ACTIVATION_FIRE, AFTER_PACKAGE_ADDED, AFTER_PACKAGE_REMOVED, AFTER_RULE_ADDED, AFTER_RULE_REMOVED, AFTER_RULEFLOW_COMPLETED, AFTER_RULEFLOW_CREATED, AFTER_RULEFLOW_GROUP_ACTIVATED, AFTER_RULEFLOW_GROUP_DEACTIVATED, AFTER_RULEFLOW_NODE_EXITED, AFTER_RULEFLOW_NODE_TRIGGERED, AFTER_TASK_INSTANCE_COMPLETED, AFTER_TASK_INSTANCE_CREATED, AFTER_VARIABLE_INSTANCE_CHANGED, BEFORE_ACTIVATION_FIRE, BEFORE_PACKAGE_ADDED, BEFORE_PACKAGE_REMOVED, BEFORE_RULE_ADDED, BEFORE_RULE_REMOVED, BEFORE_RULEFLOW_COMPLETED, BEFORE_RULEFLOW_CREATED, BEFORE_RULEFLOW_GROUP_ACTIVATED, BEFORE_RULEFLOW_GROUP_DEACTIVATED, BEFORE_RULEFLOW_NODE_EXITED, BEFORE_RULEFLOW_NODE_TRIGGERED, BEFORE_TASK_INSTANCE_COMPLETED, BEFORE_TASK_INSTANCE_CREATED, BEFORE_VARIABLE_INSTANCE_CHANGED, INSERTED, RETRACTED, UPDATED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedRuleFlowLogEvent(int type, String processId, String processName, long processInstanceId, int processInstanceState, String outcome)`
    `ExtendedRuleFlowLogEvent(int type, String processId, String processName, long processInstanceId, long parentProcessInstanceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOutcome()`
    `long` | `getParentProcessInstanceId()`
    `int` | `getProcessInstanceState()`
    `void` | `setOutcome(String outcome)`
    `void` | `setParentProcessInstanceId(long parentProcessInstanceId)`
    `protected void` | `setProcessInstanceState(int processInstanceState)`

    - ### Methods inherited from class org.drools.core.audit.event.RuleFlowLogEvent

      `getProcessId, getProcessInstanceId, getProcessName, readExternal, toString, writeExternal`

    - ### Methods inherited from class org.drools.core.audit.event.LogEvent

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedRuleFlowLogEvent

          public ExtendedRuleFlowLogEvent(int type,
                                          String processId,
                                          String processName,
                                          long processInstanceId,
                                          long parentProcessInstanceId)

    - #### ExtendedRuleFlowLogEvent

          public ExtendedRuleFlowLogEvent(int type,
                                          String processId,
                                          String processName,
                                          long processInstanceId,
                                          int processInstanceState,
                                          String outcome)

  - ### Method Detail

    - #### getParentProcessInstanceId

          public long getParentProcessInstanceId()

    - #### setParentProcessInstanceId

          public void setParentProcessInstanceId(long parentProcessInstanceId)

    - #### getOutcome

          public String getOutcome()

    - #### setOutcome

          public void setOutcome(String outcome)

    - #### getProcessInstanceState

          public int getProcessInstanceState()

    - #### setProcessInstanceState

          protected void setProcessInstanceState(int processInstanceState)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.